## GladeEditor GladeEditor — A Widget to edit a GladeWidget. |

## Functions

GladeEditor * | glade_editor_new ()
void | glade_editor_load_widget ()
gboolean | glade_editor_query_dialog ()
void | glade_editor_show_info ()
void | glade_editor_hide_info ()
GtkWidget * | glade_editor_dialog_for_widget ()
void | glade_editor_hide_class_field ()
void | glade_editor_reset_dialog_run ()
void | glade_editor_show_class_field ()
GtkWidget * | glade_editor_skeleton_new ()
void | glade_editor_skeleton_add_editor ()
GtkWidget * | glade_editor_table_new ()

## Types and Values

| GladeEditor
| GladeEditorTable
enum | GladeEditorPageType
| GladeEditorSkeleton

## Description

This is the Glade Notebook containing all the controls needed to configure a GladeWidget.

## Functions

### glade_editor_new ()

    GladeEditor *
    glade_editor_new (void);

#### Returns

a new GladeEditor

### glade_editor_load_widget ()

    void
    glade_editor_load_widget (GladeEditor *editor,
                              GladeWidget *widget);

Load `widget` into `editor` . If `widget` is `NULL`, clear the editor.

#### Parameters

editor | a GladeEditor |
widget | a GladeWidget |

### glade_editor_query_dialog ()

    gboolean
    glade_editor_query_dialog (GladeWidget *widget);

### glade_editor_show_info ()

    void
    glade_editor_show_info (GladeEditor *editor);

`glade_editor_show_info` is deprecated and should not be used in newly-written code.

### glade_editor_hide_info ()

    void
    glade_editor_hide_info (GladeEditor *editor);

`glade_editor_hide_info` is deprecated and should not be used in newly-written code.

### glade_editor_dialog_for_widget ()

    GtkWidget *
    glade_editor_dialog_for_widget (GladeWidget *widget);

This convenience function creates a new dialog window to edit `widget` specifically.

#### Parameters

widget | a GladeWidget |

#### Returns

the newly created dialog window.

[transfer full]

### glade_editor_hide_class_field ()

    void
    glade_editor_hide_class_field (GladeEditor *editor);

### glade_editor_reset_dialog_run ()

    void
    glade_editor_reset_dialog_run (GtkWidget *parent,
                                   GladeWidget *gwidget);

### glade_editor_show_class_field ()

    void
    glade_editor_show_class_field (GladeEditor *editor);

### glade_editor_skeleton_new ()

    GtkWidget *
    glade_editor_skeleton_new (void);

### glade_editor_skeleton_add_editor ()

    void
    glade_editor_skeleton_add_editor (GladeEditorSkeleton *skeleton,
                                      GladeEditable *editor);

### glade_editor_table_new ()

    GtkWidget *
    glade_editor_table_new (GladeWidgetAdaptor *adaptor,
                            GladeEditorPageType type);

Creates a new GladeEditorTable.

#### Parameters

adaptor | A GladeWidgetAdaptor |
type | The GladeEditorPageType |

#### Returns

a new GladeEditorTable

## Types and Values

### GladeEditor

    typedef struct _GladeEditor GladeEditor;

### GladeEditorTable

    typedef struct _GladeEditorTable GladeEditorTable;

### enum GladeEditorPageType

#### Members

GLADE_PAGE_GENERAL |  |
GLADE_PAGE_COMMON |  |
GLADE_PAGE_PACKING |  |
GLADE_PAGE_ATK |  |
GLADE_PAGE_QUERY |  |
GLADE_PAGE_SIGNAL |  |

### GladeEditorSkeleton

    typedef struct _GladeEditorSkeleton GladeEditorSkeleton;